Bug 238863 - Review Request: avant-window-navigator - Fully customisable dock-like window navigator for GNOME
Summary: Review Request: avant-window-navigator - Fully customisable dock-like window ...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Nielsen
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
: 245385 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-03 14:40 UTC by Sindre Pedersen Bjørdal
Modified: 2007-11-30 22:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-13 09:03:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
gnomeuser: fedora-review+
kevin: fedora-cvs-


Attachments (Terms of Use)

Description Sindre Pedersen Bjørdal 2007-05-03 14:40:02 UTC
Spec URL: http://folk.ntnu.no/sindrb/packages/avant-window-navigator.spec
SRPM URL: http://folk.ntnu.no/sindrb/packages/avant-window-navigator-0.1.1-1.fc7.src.rpm

Description:

Avant Window Navgator (Awn) is a dock-like bar which sits at the bottom of 
the screen (in all its composited-goodness) tracking open window.

Comment 1 David Nielsen 2007-06-04 21:19:44 UTC
Since nobody else has shown interest I'll give this a crack to get practice:

BAD:
* missing BuildRequires on desktop-file-utils
* missing BuildRequires on GConf2-devel
* Replace [NAME] with %{name} in the schema handling.



Comment 2 Sindre Pedersen Bjørdal 2007-06-05 08:54:38 UTC
Updated: 

- Add missing BRs
- Fix gconf scriplets

Spec URL: http://folk.ntnu.no/sindrb/packages/avant-window-navigator.spec
SRPM URL:
http://folk.ntnu.no/sindrb/packages/avant-window-navigator-0.1.1-2.fc7.src.rpm



Comment 3 David Nielsen 2007-06-05 18:03:00 UTC
8de5ca6b7ea707ae5298526c98799abf  avant-window-navigator-0.1.1-2.tar.gz

Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros
* All directories are owned by this or other packages (except item in Bad section)
* All necessary BuildRequires listed.
* All desired features are enabled
* Make succeeds even when %{_smp_mflags} is defined
* Builds in mock.
* rpmlint is quiet

Likely bad:
* owns %{_bindir}/*
Not sure if this is permissable at least I can't find any other packages that
does this.

Aside that I can't find any problems

Comment 4 Mamoru TASAKA 2007-06-05 18:10:13 UTC
The directory %{_datadir}/avant-window-navigator/ doesn't seem
to be owned by any package.

Comment 5 Sindre Pedersen Bjørdal 2007-06-05 18:22:58 UTC
Updated: 

- Own %%{_datadir}/avant-window-navigator

Spec URL: http://folk.ntnu.no/sindrb/packages/avant-window-navigator.spec
SRPM URL:
http://folk.ntnu.no/sindrb/packages/avant-window-navigator-0.1.1-3.fc7.src.rpm

Comment 6 David Nielsen 2007-06-21 04:25:07 UTC
This seems sane, let's call it APPROVED

Comment 7 James Bowes 2007-06-29 01:04:22 UTC
*** Bug 245385 has been marked as a duplicate of this bug. ***

Comment 8 Sindre Pedersen Bjørdal 2007-07-15 12:15:27 UTC
New Package CVS Request
=======================
Package Name: avant-window-manager
Short Description: Fully customisable dock-like window navigator for GNOME
Owners: foolish@guezz.net
Branches: F-7 FC-6

Comment 9 Sindre Pedersen Bjørdal 2007-07-15 20:38:40 UTC
Sorry, botched the name. It should be avant-window-navigator.

New Package CVS Request
=======================
Package Name: avant-window-navigator
Short Description: Fully customisable dock-like window navigator for GNOME
Owners: foolish@guezz.net
Branches: F-7 FC-6

Comment 10 Kevin Fenzi 2007-07-16 18:14:50 UTC
cvs done (I hope). 

You may also have to modify your Makefile to have the right package name when
you check in. 


Comment 11 Mamoru TASAKA 2007-08-13 09:03:32 UTC
Closing as now this is on rawhide...

Comment 12 Sindre Pedersen Bjørdal 2007-11-11 23:32:56 UTC
Package Change Request
======================
Package Name: avant-window-navigitor
Updated Fedora Owners: sindrepb, ngompa

Comment 13 Kevin Fenzi 2007-11-12 17:22:06 UTC
I don't see user 'ngompa' in cvsextras. Can you check the Fedora Account system
username and try again? 





Note You need to log in before you can comment on or make changes to this bug.